/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package GUI;

import java.awt.event.*;

/*********************************************************
* Class for catching program exit (user pushes upper
* right icon)
*
* @author Olav Haugan
*
* Date: 14.10.01
*********************************************************/
public class MyWindowListener extends WindowAdapter
{
	/*********************************************************
	* Called when the user pushes the close window button
	* Exits the program.
	*********************************************************/
	public void windowClosing( WindowEvent Ev )
	{
		System.exit(0);
	}
}
