/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package Texception;

public abstract class test1POA extends MQC.Servant implements Texception.test1Operations
{

	public String getID()
	{
		return "IDL:Texception/test1:1.0";
	}

	public byte[] _invoke( MQC.serverprotocols.ReplyHandler handler, String method, byte[] buffer, MQC.holders.IntHolder ptr)
	{
		MQC.CDROutputStream _output = null;
		MQC.CDRInputStream _input = new MQC.CDRInputStream(buffer, ptr.value, bigEndian);
		/* fun1 */
		if(method.equals( "fun1"))
		{
			try
			{
				byte arg1 = _input.read_octet();
				byte _result;
				_result = fun1( arg1 );
				if(handler.getProtocol().equals("MQCIOP"))
					ptr.value = 21;
				buffer = handler.createReply(ptr);
				_output = new MQC.CDROutputStream(buffer, ptr.value, false);
				_output.write_octet(_result);
			}
			catch( error exception )
			{
				if(handler.getProtocol().equals("MQCIOP"))
					ptr.value = 56;
				buffer = handler.createExceptionReply(ptr, false);
				_output = new MQC.CDROutputStream(buffer, ptr.value, false);
				errorHelper.write(_output, exception);
			}
			catch( error2 exception )
			{
				if(handler.getProtocol().equals("MQCIOP"))
					ptr.value = 88;
				buffer = handler.createExceptionReply(ptr, false);
				_output = new MQC.CDROutputStream(buffer, ptr.value, false);
				error2Helper.write(_output, exception);
			}
			ptr.value = _output.getBufferPtr();
			return _output.getBuffer();
		}
		else throw new MQC.exception.UNKNOWN("IDL:omg.org/CORBA/BAD_OPERATION:1.0" );
	}
};
// End of file.
