/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

/*********************************************************
* HelloClientCLDC class
*---
* Simple test program that sends the string "Hello World" to a server using
* the J2ME CLDC implementation (ie, aJile board)
*---
* @author David McKinnon
*********************************************************/

import java.io.*;

//## import javax.microedition.io.Connection;
//## import javax.microedition.io.ConnectionNotFoundException;
import javax.microedition.io.Connector;
import javax.microedition.io.StreamConnection;

public class HelloClientCLDC {

    public static void main(String[] args) {
        StreamConnection socket;
        DataInputStream  sInput;
        DataOutputStream sOutput;

        try {
            socket = (StreamConnection) Connector.open("socket://199.237.72.124:12721");
            sInput = new DataInputStream( socket.openDataInputStream());
            sOutput  = new DataOutputStream( socket.openDataOutputStream());

            sOutput.writeUTF("Hello");

            String str = sInput.readUTF();
            System.out.println(str);
        }
        catch (Exception e) {
            System.out.println(e);
        }
    }
}
