/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc;
public class Config
{
	public static final boolean DEBUG       = false;
	public static final int     DEBUG_LEVEL = 0;

	public static final boolean DEBUG_MEMORY = false;
	public static final boolean DEBUG_TIMING = false;
	public static final int GIOP = 0;
	public static final int GIOPLite = 1;
	public static final int MQCIOP = 2;
	public static final int TCP = 0;
	public static final int UDP = 1;
	public static final int Go_Back_N_UDP = 2;
	public static final int Stop_N_Wait_UDP = 3;
	public static final int Serial = 4;
	public static final int OneWire = 5;

	public static final int[] transports = {TCP};
	public static final int[] protocols = {GIOP};
	public static final boolean FORCE_ENDIANESS = false;
	public static final boolean BIG_ENDIAN = true;
	public static final int temporal = 1;
	public static final boolean CLDC = false;
	public static final int intPacketSize = 0;
};
// End of file.
