/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc.protocols;

public interface GIOPMessage extends Marshalable
{

   // MESSAGE TYPES
   public final static byte REQUEST_MSG =          0x00;
   public final static byte REPLY_MSG =            0x01;
   public final static byte CANCEL_REQUEST_MSG =   0x02;
   public final static byte LOCATE_REQUEST_MSG =   0x03;
   public final static byte LOCATE_REPLY_MSG =     0x04;
   public final static byte CLOSE_CONNECTION_MSG = 0x05;
   public final static byte MESSAGE_ERROR_MSG =    0x06;
   public final static byte FRAGMENT_MSG =         0x07;

}
