/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package simple;

public class _test1Stub extends mqc.ObjImpl implements test1
{
	public byte fun1( byte arg1 )
	{
		byte[] _msg = null;
		byte _result = 0;
		mqc.holders.IntHolder ptr = new mqc.holders.IntHolder();
		_msg = this._request("fun1", 1, true, ptr );
		if(_msg.length < (ptr.value + 1))
		{
			byte[] tmp = new byte[_msg.length + 1 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) arg1;
		_msg = this._invoke(_msg, ptr);
		_result = (byte) ((_msg[ptr.value++] & 0xFF));
		return _result;
	}
	public boolean fun2( boolean arg1 )
	{
		byte[] _msg = null;
		boolean _result = false;
		mqc.holders.IntHolder ptr = new mqc.holders.IntHolder();
		_msg = this._request("fun2", 1, true, ptr );
		if(_msg.length < (ptr.value + 1))
		{
			byte[] tmp = new byte[_msg.length + 1 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) (arg1 ? 1 : 0);
		_msg = this._invoke(_msg, ptr);
		_result = (_msg[ptr.value++] == 1) ? true : false;
		return _result;
	}
	public char fun3( char arg1 )
	{
		byte[] _msg = null;
		char _result = 0;
		mqc.holders.IntHolder ptr = new mqc.holders.IntHolder();
		_msg = this._request("fun3", 1, true, ptr );
		if(_msg.length < (ptr.value + 1))
		{
			byte[] tmp = new byte[_msg.length + 1 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) arg1;
		_msg = this._invoke(_msg, ptr);
		_result = (char) ((_msg[ptr.value++] & 0xFF));
		return _result;
	}
	public short fun4( short arg1 )
	{
		byte[] _msg = null;
		short _result = 0;
		mqc.holders.IntHolder ptr = new mqc.holders.IntHolder();
		_msg = this._request("fun4", 2, true, ptr );
		ptr.value = (ptr.value + 1) & ~1;
		if(_msg.length < (ptr.value + 2))
		{
			byte[] tmp = new byte[_msg.length + 2 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) (arg1 >> 8);
		_msg[ptr.value++] = (byte) arg1;
		_msg = this._invoke(_msg, ptr);
		ptr.value = (ptr.value + 1) & ~1;
		_result = (short) (((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		return _result;
	}
	public short fun5( short arg1 )
	{
		byte[] _msg = null;
		short _result = 0;
		mqc.holders.IntHolder ptr = new mqc.holders.IntHolder();
		_msg = this._request("fun5", 2, true, ptr );
		ptr.value = (ptr.value + 1) & ~1;
		if(_msg.length < (ptr.value + 2))
		{
			byte[] tmp = new byte[_msg.length + 2 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) (arg1 >> 8);
		_msg[ptr.value++] = (byte) arg1;
		_msg = this._invoke(_msg, ptr);
		ptr.value = (ptr.value + 1) & ~1;
		_result = (short) (((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		return _result;
	}
	public int fun6( int arg1 )
	{
		byte[] _msg = null;
		int _result = 0;
		mqc.holders.IntHolder ptr = new mqc.holders.IntHolder();
		_msg = this._request("fun6", 4, true, ptr );
		ptr.value = (ptr.value + 3) & ~3;
		if(_msg.length < (ptr.value + 4))
		{
			byte[] tmp = new byte[_msg.length + 4 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) (arg1 >> 24);
		_msg[ptr.value++] = (byte) (arg1 >> 16);
		_msg[ptr.value++] = (byte) (arg1 >> 8);
		_msg[ptr.value++] = (byte) arg1;
		_msg = this._invoke(_msg, ptr);
		ptr.value = (ptr.value + 3) & ~3;
		_result = (int) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		return _result;
	}
	public int fun7( int arg1 )
	{
		byte[] _msg = null;
		int _result = 0;
		mqc.holders.IntHolder ptr = new mqc.holders.IntHolder();
		_msg = this._request("fun7", 4, true, ptr );
		ptr.value = (ptr.value + 3) & ~3;
		if(_msg.length < (ptr.value + 4))
		{
			byte[] tmp = new byte[_msg.length + 4 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) (arg1 >> 24);
		_msg[ptr.value++] = (byte) (arg1 >> 16);
		_msg[ptr.value++] = (byte) (arg1 >> 8);
		_msg[ptr.value++] = (byte) arg1;
		_msg = this._invoke(_msg, ptr);
		ptr.value = (ptr.value + 3) & ~3;
		_result = (int) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		return _result;
	}
	public long fun8( long arg1 )
	{
		byte[] _msg = null;
		long _result = 0;
		mqc.holders.IntHolder ptr = new mqc.holders.IntHolder();
		_msg = this._request("fun8", 8, true, ptr );
		ptr.value = (ptr.value + 7) & ~7;
		if(_msg.length < (ptr.value + 8))
		{
			byte[] tmp = new byte[_msg.length + 8 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) (arg1 >> 56);
		_msg[ptr.value++] = (byte) (arg1 >> 48);
		_msg[ptr.value++] = (byte) (arg1 >> 40);
		_msg[ptr.value++] = (byte) (arg1 >> 32);
		_msg[ptr.value++] = (byte) (arg1 >> 24);
		_msg[ptr.value++] = (byte) (arg1 >> 16);
		_msg[ptr.value++] = (byte) (arg1 >> 8);
		_msg[ptr.value++] = (byte) arg1;
		_msg = this._invoke(_msg, ptr);
		ptr.value = (ptr.value + 7) & ~7;
		long lval1 = 0;
		long lval2 = 0;
		lval1 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		lval2 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		_result = (long) ((lval1 << 32) | (lval2 & 0xFFFFFFFFl));
		return _result;
	}
	public long fun9( long arg1 )
	{
		byte[] _msg = null;
		long _result = 0;
		mqc.holders.IntHolder ptr = new mqc.holders.IntHolder();
		_msg = this._request("fun9", 8, true, ptr );
		ptr.value = (ptr.value + 7) & ~7;
		if(_msg.length < (ptr.value + 8))
		{
			byte[] tmp = new byte[_msg.length + 8 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) (arg1 >> 56);
		_msg[ptr.value++] = (byte) (arg1 >> 48);
		_msg[ptr.value++] = (byte) (arg1 >> 40);
		_msg[ptr.value++] = (byte) (arg1 >> 32);
		_msg[ptr.value++] = (byte) (arg1 >> 24);
		_msg[ptr.value++] = (byte) (arg1 >> 16);
		_msg[ptr.value++] = (byte) (arg1 >> 8);
		_msg[ptr.value++] = (byte) arg1;
		_msg = this._invoke(_msg, ptr);
		ptr.value = (ptr.value + 7) & ~7;
		long lval1 = 0;
		long lval2 = 0;
		lval1 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		lval2 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		_result = (long) ((lval1 << 32) | (lval2 & 0xFFFFFFFFl));
		return _result;
	}
	public double fun10( double arg1 )
	{
		byte[] _msg = null;
		double _result = 0;
		mqc.holders.IntHolder ptr = new mqc.holders.IntHolder();
		_msg = this._request("fun10", 8, true, ptr );
		ptr.value = (ptr.value + 7) & ~7;
		if(_msg.length < (ptr.value + 8))
		{
			byte[] tmp = new byte[_msg.length + 8 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		long dval = java.lang.Double.doubleToLongBits(arg1);
		_msg[ptr.value++] = (byte) (dval >> 56);
		_msg[ptr.value++] = (byte) (dval >> 48);
		_msg[ptr.value++] = (byte) (dval >> 40);
		_msg[ptr.value++] = (byte) (dval >> 32);
		_msg[ptr.value++] = (byte) (dval >> 24);
		_msg[ptr.value++] = (byte) (dval >> 16);
		_msg[ptr.value++] = (byte) (dval >> 8);
		_msg[ptr.value++] = (byte) dval;
		_msg = this._invoke(_msg, ptr);
		ptr.value = (ptr.value + 7) & ~7;
		long lval1 = 0;
		long lval2 = 0;
		lval1 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		lval2 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		dval = (long) ((lval1 << 32) | (lval2 & 0xFFFFFFFFl));
		_result = java.lang.Double.longBitsToDouble(dval);
		return _result;
	}
	public float fun11( float arg1 )
	{
		byte[] _msg = null;
		float _result = 0;
		mqc.holders.IntHolder ptr = new mqc.holders.IntHolder();
		_msg = this._request("fun11", 4, true, ptr );
		ptr.value = (ptr.value + 3) & ~3;
		if(_msg.length < (ptr.value + 4))
		{
			byte[] tmp = new byte[_msg.length + 4 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		int fval = java.lang.Float.floatToIntBits(arg1);
		_msg[ptr.value++] = (byte) (fval >> 24);
		_msg[ptr.value++] = (byte) (fval >> 16);
		_msg[ptr.value++] = (byte) (fval >> 8);
		_msg[ptr.value++] = (byte) fval;
		_msg = this._invoke(_msg, ptr);
		ptr.value = (ptr.value + 3) & ~3;
		fval = (int) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		_result = java.lang.Float.intBitsToFloat(fval);
		return _result;
	}
	public void fun12( byte arg1, boolean arg2, char arg3, short arg4, short arg5, int arg6, int arg7, long arg8, long arg9, float arg10, double arg11 )
	{
		byte[] _msg = null;
		mqc.holders.IntHolder ptr = new mqc.holders.IntHolder();
		_msg = this._request("fun12", 43, true, ptr );
		if(_msg.length < (ptr.value + 1))
		{
			byte[] tmp = new byte[_msg.length + 1 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) arg1;
		if(_msg.length < (ptr.value + 1))
		{
			byte[] tmp = new byte[_msg.length + 1 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) (arg2 ? 1 : 0);
		if(_msg.length < (ptr.value + 1))
		{
			byte[] tmp = new byte[_msg.length + 1 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) arg3;
		ptr.value = (ptr.value + 1) & ~1;
		if(_msg.length < (ptr.value + 2))
		{
			byte[] tmp = new byte[_msg.length + 2 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) (arg4 >> 8);
		_msg[ptr.value++] = (byte) arg4;
		ptr.value = (ptr.value + 1) & ~1;
		if(_msg.length < (ptr.value + 2))
		{
			byte[] tmp = new byte[_msg.length + 2 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) (arg5 >> 8);
		_msg[ptr.value++] = (byte) arg5;
		ptr.value = (ptr.value + 3) & ~3;
		if(_msg.length < (ptr.value + 4))
		{
			byte[] tmp = new byte[_msg.length + 4 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) (arg6 >> 24);
		_msg[ptr.value++] = (byte) (arg6 >> 16);
		_msg[ptr.value++] = (byte) (arg6 >> 8);
		_msg[ptr.value++] = (byte) arg6;
		ptr.value = (ptr.value + 3) & ~3;
		if(_msg.length < (ptr.value + 4))
		{
			byte[] tmp = new byte[_msg.length + 4 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) (arg7 >> 24);
		_msg[ptr.value++] = (byte) (arg7 >> 16);
		_msg[ptr.value++] = (byte) (arg7 >> 8);
		_msg[ptr.value++] = (byte) arg7;
		ptr.value = (ptr.value + 7) & ~7;
		if(_msg.length < (ptr.value + 8))
		{
			byte[] tmp = new byte[_msg.length + 8 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) (arg8 >> 56);
		_msg[ptr.value++] = (byte) (arg8 >> 48);
		_msg[ptr.value++] = (byte) (arg8 >> 40);
		_msg[ptr.value++] = (byte) (arg8 >> 32);
		_msg[ptr.value++] = (byte) (arg8 >> 24);
		_msg[ptr.value++] = (byte) (arg8 >> 16);
		_msg[ptr.value++] = (byte) (arg8 >> 8);
		_msg[ptr.value++] = (byte) arg8;
		ptr.value = (ptr.value + 7) & ~7;
		if(_msg.length < (ptr.value + 8))
		{
			byte[] tmp = new byte[_msg.length + 8 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) (arg9 >> 56);
		_msg[ptr.value++] = (byte) (arg9 >> 48);
		_msg[ptr.value++] = (byte) (arg9 >> 40);
		_msg[ptr.value++] = (byte) (arg9 >> 32);
		_msg[ptr.value++] = (byte) (arg9 >> 24);
		_msg[ptr.value++] = (byte) (arg9 >> 16);
		_msg[ptr.value++] = (byte) (arg9 >> 8);
		_msg[ptr.value++] = (byte) arg9;
		ptr.value = (ptr.value + 3) & ~3;
		if(_msg.length < (ptr.value + 4))
		{
			byte[] tmp = new byte[_msg.length + 4 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		int fval = java.lang.Float.floatToIntBits(arg10);
		_msg[ptr.value++] = (byte) (fval >> 24);
		_msg[ptr.value++] = (byte) (fval >> 16);
		_msg[ptr.value++] = (byte) (fval >> 8);
		_msg[ptr.value++] = (byte) fval;
		ptr.value = (ptr.value + 7) & ~7;
		if(_msg.length < (ptr.value + 8))
		{
			byte[] tmp = new byte[_msg.length + 8 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		long dval = java.lang.Double.doubleToLongBits(arg11);
		_msg[ptr.value++] = (byte) (dval >> 56);
		_msg[ptr.value++] = (byte) (dval >> 48);
		_msg[ptr.value++] = (byte) (dval >> 40);
		_msg[ptr.value++] = (byte) (dval >> 32);
		_msg[ptr.value++] = (byte) (dval >> 24);
		_msg[ptr.value++] = (byte) (dval >> 16);
		_msg[ptr.value++] = (byte) (dval >> 8);
		_msg[ptr.value++] = (byte) dval;
		_msg = this._invoke(_msg, ptr);
	}
	public void fun13( mqc.holders.ByteHolder arg1, mqc.holders.BooleanHolder arg2, mqc.holders.CharHolder arg3, mqc.holders.ShortHolder arg4, mqc.holders.ShortHolder arg5, mqc.holders.IntHolder arg6, mqc.holders.IntHolder arg7, mqc.holders.LongHolder arg8, mqc.holders.LongHolder arg9, mqc.holders.FloatHolder arg10, mqc.holders.DoubleHolder arg11 )
	{
		byte[] _msg = null;
		mqc.holders.IntHolder ptr = new mqc.holders.IntHolder();
		_msg = this._request("fun13", 43, true, ptr );
		if(_msg.length < (ptr.value + 1))
		{
			byte[] tmp = new byte[_msg.length + 1 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) arg1.value;
		if(_msg.length < (ptr.value + 1))
		{
			byte[] tmp = new byte[_msg.length + 1 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) (arg2.value ? 1 : 0);
		if(_msg.length < (ptr.value + 1))
		{
			byte[] tmp = new byte[_msg.length + 1 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) arg3.value;
		ptr.value = (ptr.value + 1) & ~1;
		if(_msg.length < (ptr.value + 2))
		{
			byte[] tmp = new byte[_msg.length + 2 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) (arg4.value >> 8);
		_msg[ptr.value++] = (byte) arg4.value;
		ptr.value = (ptr.value + 1) & ~1;
		if(_msg.length < (ptr.value + 2))
		{
			byte[] tmp = new byte[_msg.length + 2 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) (arg5.value >> 8);
		_msg[ptr.value++] = (byte) arg5.value;
		ptr.value = (ptr.value + 3) & ~3;
		if(_msg.length < (ptr.value + 4))
		{
			byte[] tmp = new byte[_msg.length + 4 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) (arg6.value >> 24);
		_msg[ptr.value++] = (byte) (arg6.value >> 16);
		_msg[ptr.value++] = (byte) (arg6.value >> 8);
		_msg[ptr.value++] = (byte) arg6.value;
		ptr.value = (ptr.value + 3) & ~3;
		if(_msg.length < (ptr.value + 4))
		{
			byte[] tmp = new byte[_msg.length + 4 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) (arg7.value >> 24);
		_msg[ptr.value++] = (byte) (arg7.value >> 16);
		_msg[ptr.value++] = (byte) (arg7.value >> 8);
		_msg[ptr.value++] = (byte) arg7.value;
		ptr.value = (ptr.value + 7) & ~7;
		if(_msg.length < (ptr.value + 8))
		{
			byte[] tmp = new byte[_msg.length + 8 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) (arg8.value >> 56);
		_msg[ptr.value++] = (byte) (arg8.value >> 48);
		_msg[ptr.value++] = (byte) (arg8.value >> 40);
		_msg[ptr.value++] = (byte) (arg8.value >> 32);
		_msg[ptr.value++] = (byte) (arg8.value >> 24);
		_msg[ptr.value++] = (byte) (arg8.value >> 16);
		_msg[ptr.value++] = (byte) (arg8.value >> 8);
		_msg[ptr.value++] = (byte) arg8.value;
		ptr.value = (ptr.value + 7) & ~7;
		if(_msg.length < (ptr.value + 8))
		{
			byte[] tmp = new byte[_msg.length + 8 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		_msg[ptr.value++] = (byte) (arg9.value >> 56);
		_msg[ptr.value++] = (byte) (arg9.value >> 48);
		_msg[ptr.value++] = (byte) (arg9.value >> 40);
		_msg[ptr.value++] = (byte) (arg9.value >> 32);
		_msg[ptr.value++] = (byte) (arg9.value >> 24);
		_msg[ptr.value++] = (byte) (arg9.value >> 16);
		_msg[ptr.value++] = (byte) (arg9.value >> 8);
		_msg[ptr.value++] = (byte) arg9.value;
		ptr.value = (ptr.value + 3) & ~3;
		if(_msg.length < (ptr.value + 4))
		{
			byte[] tmp = new byte[_msg.length + 4 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		int fval = java.lang.Float.floatToIntBits(arg10.value);
		_msg[ptr.value++] = (byte) (fval >> 24);
		_msg[ptr.value++] = (byte) (fval >> 16);
		_msg[ptr.value++] = (byte) (fval >> 8);
		_msg[ptr.value++] = (byte) fval;
		ptr.value = (ptr.value + 7) & ~7;
		if(_msg.length < (ptr.value + 8))
		{
			byte[] tmp = new byte[_msg.length + 8 + 10];
			System.arraycopy(_msg, 0, tmp, 0, _msg.length);
			_msg = tmp;
		}
		long dval = java.lang.Double.doubleToLongBits(arg11.value);
		_msg[ptr.value++] = (byte) (dval >> 56);
		_msg[ptr.value++] = (byte) (dval >> 48);
		_msg[ptr.value++] = (byte) (dval >> 40);
		_msg[ptr.value++] = (byte) (dval >> 32);
		_msg[ptr.value++] = (byte) (dval >> 24);
		_msg[ptr.value++] = (byte) (dval >> 16);
		_msg[ptr.value++] = (byte) (dval >> 8);
		_msg[ptr.value++] = (byte) dval;
		_msg = this._invoke(_msg, ptr);
		arg1.value = (byte) ((_msg[ptr.value++] & 0xFF));
		arg2.value = (_msg[ptr.value++] == 1) ? true : false;
		arg3.value = (char) ((_msg[ptr.value++] & 0xFF));
		ptr.value = (ptr.value + 1) & ~1;
		arg4.value = (short) (((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		ptr.value = (ptr.value + 1) & ~1;
		arg5.value = (short) (((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		ptr.value = (ptr.value + 3) & ~3;
		arg6.value = (int) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		ptr.value = (ptr.value + 3) & ~3;
		arg7.value = (int) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		ptr.value = (ptr.value + 7) & ~7;
		long lval1 = 0;
		long lval2 = 0;
		lval1 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		lval2 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		arg8.value = (long) ((lval1 << 32) | (lval2 & 0xFFFFFFFFl));
		ptr.value = (ptr.value + 7) & ~7;
		lval1 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		lval2 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		arg9.value = (long) ((lval1 << 32) | (lval2 & 0xFFFFFFFFl));
		ptr.value = (ptr.value + 3) & ~3;
		fval = (int) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		arg10.value = java.lang.Float.intBitsToFloat(fval);
		ptr.value = (ptr.value + 7) & ~7;
		lval1 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		lval2 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		dval = (long) ((lval1 << 32) | (lval2 & 0xFFFFFFFFl));
		arg11.value = java.lang.Double.longBitsToDouble(dval);
	}
	public void fun14( mqc.holders.ByteHolder arg1, mqc.holders.BooleanHolder arg2, mqc.holders.CharHolder arg3, mqc.holders.ShortHolder arg4, mqc.holders.ShortHolder arg5, mqc.holders.IntHolder arg6, mqc.holders.IntHolder arg7, mqc.holders.LongHolder arg8, mqc.holders.LongHolder arg9, mqc.holders.FloatHolder arg10, mqc.holders.DoubleHolder arg11 )
	{
		byte[] _msg = null;
		mqc.holders.IntHolder ptr = new mqc.holders.IntHolder();
		_msg = this._request("fun14", 0, true, ptr );
		_msg = this._invoke(_msg, ptr);
		arg1.value = (byte) ((_msg[ptr.value++] & 0xFF));
		arg2.value = (_msg[ptr.value++] == 1) ? true : false;
		arg3.value = (char) ((_msg[ptr.value++] & 0xFF));
		ptr.value = (ptr.value + 1) & ~1;
		arg4.value = (short) (((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		ptr.value = (ptr.value + 1) & ~1;
		arg5.value = (short) (((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		ptr.value = (ptr.value + 3) & ~3;
		arg6.value = (int) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		ptr.value = (ptr.value + 3) & ~3;
		arg7.value = (int) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		ptr.value = (ptr.value + 7) & ~7;
		long lval1 = 0;
		long lval2 = 0;
		lval1 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		lval2 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		arg8.value = (long) ((lval1 << 32) | (lval2 & 0xFFFFFFFFl));
		ptr.value = (ptr.value + 7) & ~7;
		lval1 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		lval2 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		arg9.value = (long) ((lval1 << 32) | (lval2 & 0xFFFFFFFFl));
		ptr.value = (ptr.value + 3) & ~3;
		int fval = 0;
		fval = (int) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		arg10.value = java.lang.Float.intBitsToFloat(fval);
		ptr.value = (ptr.value + 7) & ~7;
		long dval = 0;
		lval1 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		lval2 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
		dval = (long) ((lval1 << 32) | (lval2 & 0xFFFFFFFFl));
		arg11.value = java.lang.Double.longBitsToDouble(dval);
	}
};
// End of file.
