/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc;

import mqc.ior.*;

/**
* Base class for delegates for server.
* 
* @author Olav Haugan
*
* 14.10.01
*/
public class SDelegate
{
   public ORB orb;
   public IOR ior;

   /**
   * Constructor. Initializes variables.
   *
   * @param ORB The orb reference
   *
   * @param IOR The reference to the ior.
   *
   */
   public SDelegate(ORB orb, IOR ior)
   {
      this.orb = orb;
      this.ior = ior;
   }
}
